A low cost DIY sound pressure level sensor for use by laymen; the result of my master's thesis. It 
allows integration into the existing [senseBox framework][0] but can also function on its own. It's 
merely a prototype and there obviously is room for improvement.

* Uses a STM32G071 (ARM Cortex-M0+)
* Uses a Knowles I²S MEMS microphone
* Uses a RFM95 LoRa module (not in WAN mode)

<img src="https://git.lukasschwarz.org/lukas/noisesensor/media/branch/master/case.jpg" width="40%" 
alt="Green printed circuit board inside a propped up white 3D printed case.">

This repository includes

* STL files for the case
* Schematic and PCB layout files
* STM32 code for the G071 microcontroller
* An Arduino library to be used with the senseBox MCU
* An ESP32 library to be used as an alternative to the senseBox MCU


[Link to the more detailed article](https://lukasschwarz.org/projects/noise-sensor)

[0]: https://sensebox.de/en/
